/*
 * Functions.js
 * More: to show/hide more information and change the anchor text (+/-)
 * Author: Guillaume Dubus
 * Built on top of the very light weight jquery library.
 *
 */

 
// le document est charge
$(document).ready(function() {

	// initalise les liens de class more
	MORE_launch();
}); 


// initialisation des liens more (en savoir +)
// show / hide the div content
function MORE_launch() {
	
	// pour les liens de la classe more
	$("a.more").click(function() {	
	
		var div = this.getAttribute("href");
		// pour des soucis de compatibilite: IE, Mozilla, etc
		div = div.substr(div.lastIndexOf("#"));
		
		// change le texte du lien
		if (this.innerHTML == "-")
		{
			$(div).hide();
			this.innerHTML = "+";
		}
		else{
			$(div).show();
			this.innerHTML = "-";
		}

	 	// on finit par annuler l'action sur le lien
		return false;
	});
	
	// pour les liens de la classe more
	$("a.morePictures").click(function() {	
	
		var div = this.getAttribute("href");
		// pour des soucis de compatibilite : IE, Mozilla, etc
		div = div.substr(div.lastIndexOf("#"));
		
		// change le texte du lien
		if (this.innerHTML == "-")
		{
			$(div).hide();
			this.innerHTML = "+";
		}
		else{
			$(div).show();
			this.innerHTML = "-";
		}

	 	// on finit par annuler l'action sur le lien
		return false;
	});	
}

/*
 * Add slashes
 *
 */
function addslashes(str) {
	str=str.replace(/\'/g,'\\\'');
	str=str.replace(/\"/g,'\\"');
	str=str.replace(/\\/g,'\\\\');
	str=str.replace(/\0/g,'\\0');
	return str;
}

/*
 * Strip slashes
 *
 */
function stripslashes(str) {
	str=str.replace(/\\'/g,'\'');
	str=str.replace(/\\"/g,'"');
	str=str.replace(/\\\\/g,'\\');
	str=str.replace(/\\0/g,'\0');
	return str;
}

/*
 *
 * Gestion des infobulles
 *
 */
function GetId(id){
	return document.getElementById(id);
}

var i = false; // La variable i nous dit si la bulle est visible ou non

function move(e) {
    if(i) {  		// Si la bulle est visible, on calcule en temps reel sa position ideale
	  if (navigator.appName!="Microsoft Internet Explorer") { // Si on est pas sous IE
		GetId("info").style.left=e.pageX + 5+"px";
		GetId("info").style.top=e.pageY + 10+"px";
	  }else { // Modif proposÔøΩ par TeDeum, merci ÔøΩ lui
		if(document.documentElement.clientWidth>0) {
			GetId("info").style.left=-170+event.x+document.documentElement.scrollLeft+"px";
			GetId("info").style.top=20+event.y+document.documentElement.scrollTop+"px";
		}else {
			GetId("info").style.left=20+event.x+document.body.scrollLeft+"px";
			GetId("info").style.top=10+event.y+document.body.scrollTop+"px";
		}
	 } 
     }
}


function show(text) {
  if(i == false) {
  	if (text != "") {
	 GetId("info").style.visibility = "visible"; 	// Si il est cache (la verif n'est qu'une securitÔøΩ) on le rend visible.
	 GetId("info").innerHTML = stripslashes(text); 				// Cette fonction est a amÔøΩliorer, il parait qu'elle n'est pas valide (mais elle marche)
	 i = true;
	 }
  }
}

function hide() {
	if(i == true) {
		GetId("info").style.visibility = "hidden"; 	// Si la bulle etait visible on la cache
		i = false;
	}
}

document.onmousemove=move; // des que la souris bouge, on appelle la fonction move pour mettre a jour la position de la bulle.


/*
 *
 * Fonction de tri
 *
 */
var index;
function sort_int(p1,p2)
{
 return p1[index]-p2[index];
}
function sort_char(p1,p2)
{
 return ((p1[index]>=p2[index])<<1)-1;
}
function TableOrder(e,Dec)
{
var FntSort = new Array()
if(!e) e=window.event
for(oCell=e.srcElement?e.srcElement:e.target;oCell.tagName!="TD";oCell=oCell.parentNode);
for(oTable=oCell.parentNode;oTable.tagName!="TABLE";oTable=oTable.parentNode);
for(index=0;oTable.rows[0].cells[index]!=oCell;index++);
var Table = new Array()
for(r=1;r<oTable.rows.length;r++) Table[r-1] = new Array()
for(c=0;c<oTable.rows[0].cells.length;c++)
{
var Type;
objet=oTable.rows[1].cells[c].innerHTML.replace(/<\/?[^>]+>/gi,"")
if(objet.match(/^\d\d[\/-]\d\d[\/-]\d\d\d\d$/)) { FntSort[c]=sort_char; Type=0; }
else if(objet.match(/^[0-9\x{00A3}\u20ac$\.\s-]+$/))        { FntSort[c]=sort_int; Type=1; }
else { FntSort[c]=sort_char; Type=2; }
for(r=1;r<oTable.rows.length;r++)
{
objet=oTable.rows[r].cells[c].innerHTML.replace(/<\/?[^>]+>/gi,"")
switch(Type)
{
case 0: Table[r-1][c]=new Date(objet.substring(6),objet.substring(3,5),objet.substring(0,2)); break;
case 1: Table[r-1][c]=parseFloat(objet.replace(/[^0-9.-]/g,'')); break;
case 2: Table[r-1][c]=objet.toLowerCase(); break;
}
Table[r-1][c+oTable.rows[0].cells.length] = oTable.rows[r].cells[c].innerHTML
}
}
Table.sort(FntSort[index]);
if(Dec) Table.reverse();
for(c=0;c<oTable.rows[0].cells.length;c++)
for(r=1;r<oTable.rows.length;r++)
oTable.rows[r].cells[c].innerHTML=Table[r-1][c+oTable.rows[0].cells.length];
}

